#ifndef VDR_TIMER_THREAD_H
#define VDR_TIMER_THREAD_H

#include <vdr/thread.h>
#include "epgsearchext.h"

class cTimerThread: public cThread {
private:
        bool m_Active;
        static cTimerThread *m_Instance;
	char* m_cmd;
protected:
        virtual void Action(void);
        void Stop(void);
public:
        cTimerThread();
        virtual ~cTimerThread();
        static void Init(char*);
        static void Exit(void);
};

#endif 
